<?php
require 'inclus/log.php';
require_once 'inclus/consts.php';
$tr = load_tr($lang, 'accueil_navigateurs');
$titre = tr($tr,'title');
$cheminaudio = '/audio/sons_des_pages/accueil.mp3';
$log = '';
if(isset($_GET['act']) and $_GET['act'] == 'form') {
	if(isset($_POST['moteur']) and in_array($_POST['moteur'], array('ddg','ecos','bing','qwant','ixquick','goog','ask','yahoo','aol','millionshort','pa'))) {
		setcookie('moteur', $_POST['moteur'], time()+31536000, null, null, false, true);
		if(isset($logged) and $logged and isset($settings) and isset($login)) {
			$settings['startengine'] = $_POST['moteur'];
			$req = $bdd->prepare('UPDATE `accounts` SET `settings`=? WHERE `id`=? LIMIT 1');
			$req->execute(array(json_encode($settings), $login['id']));
		}
	}
	header('Location: /accueil_navigateurs.php');
}
if(isset($_GET['act']) and $_GET['act'] == 'ok')
	$log = 'ok';
$stats_page = 'start';
?>
<!doctype html>
<html lang="<?php echo $lang; ?>">
<?php require_once 'inclus/header.php'; ?>
<body>
<h1><a href="/" title="<?php echo tr($tr0,'banner_homelink'); ?>"><?php print $nomdusite; ?></a></h1>
<?php if(isset($_SERVER['HTTP_USER_AGENT']) and strpos($_SERVER['HTTP_USER_AGENT'], 'Trident') !== FALSE) include 'inclus/trident.php';
include 'inclus/searchtool.php';
include 'inclus/loginbox.php'; ?>
</div>
<?php include('inclus/son.php');
include 'inclus/menu.php'; ?>
<div id="container" role="main">
<h1 id="contenu"><?php print $titre; ?></h1>
<p><?php print tr($tr,'text_up'); ?><br /><a href="https://www.progaccess33.net/accueil_navigateurs.php">https://www.progaccess33.net/accueil_navigateurs.php</a>.</p>
<form action="?act=form" method="post">
<?php
$moteur = isset($_COOKIE['moteur']) ? $_COOKIE['moteur'] : 'ddg';
?>
<label for="choix_moteur"><?php print tr($tr,'motor_choice'); ?></label>
<select name="moteur" id="choix_moteur">
<option value="ddg" id="duck" <?php if($moteur == 'ddg') echo 'selected'; ?>>Duckduckgo (par défaut)</option>
<option value="ecos" id="ec" <?php if($moteur == 'ecos') echo 'selected'; ?>>Écosia</option>
<option value="bing" id="msbing" <?php if($moteur == 'bing') echo 'selected'; ?>>Microsoft Bing</option>
<option value="qwant" id="frqwant" <?php if($moteur == 'qwant') echo 'selected'; ?>>Qwant</option>
<option value="ixquick" id="spixquick" <?php if($moteur == 'ixquick') echo 'selected'; ?>>Ixquick</option>
<option value="goog" id="google" <?php if($moteur == 'goog') echo 'selected'; ?>>Google</option>
<option value="ask" id="frask" <?php if($moteur == 'ask') echo 'selected'; ?>>Ask</option>
<option value="yahoo" id="fryahoo" <?php if($moteur == 'yahoo') echo 'selected'; ?>>Yahoo Search</option>
<option value="aol" id="fraol" <?php if($moteur == 'aol') echo 'selected'; ?>>AOL Search</option>
<option value="millionshort" id="mshort" <?php if($moteur == 'millionshort') echo 'selected'; ?>>Million Short</option>
<option value="pa" id="pa" <?php if($moteur == 'pa') echo 'selected'; ?>><?php print $nomdusite; ?> (pour rechercher un logiciel ou un tutoriel)</option>
</select>
<p><?php print tr($tr,'text_down'); ?></p>
<input type="submit" value="<?php print tr($tr,'buton_confirm'); ?>" />
</form>
<div id="wrap">
<div id="form" role="search">
<?php
if($moteur == 'ddg')
echo '<form action="https://duckduckgo.com" method="get">
<label for="searchinput">'.tr($tr,'text_search').' Duckduckgo</label>
<input type="search" name="q" id="searchinput" style="width: 255px\;" maxlength="255" autofocus /><br />
<input type="submit" value="'.tr($tr,'buton_search').'" /><br />
</form>';
else if($moteur == 'ecos')
echo '<form action="https://www.ecosia.org/search" method="get">
<label for="searchinput">'.tr($tr,'text_search').' Écosia</label>
<input type="search" name="q" id="searchinput" style="width: 255px\;" maxlength="255" autofocus /><br />
<input type="submit" value="'.tr($tr,'buton_search').'" /><br />
</form>';
else if($moteur == 'bing')
echo '<form action="https://www.bing.com/search" method="get">
<label for="searchinput">'.tr($tr,'text_search').' Microsoft Bing</label>
<input type="search" name="q" id="searchinput" style="width: 255px\;" maxlength="255" autofocus /><br />
<input type="submit" value="'.tr($tr,'buton_search').'" /><br />
</form>';
else if($moteur == 'qwant')
echo '<form action="https://www.qwant.com" method="get">
<label for="searchinput">'.tr($tr,'text_search').' Qwant</label>
<input type="search" name="q" id="searchinput" style="width: 255px\;" maxlength="255" autofocus /><br />
<input type="submit" value="'.tr($tr,'buton_search').'" /><br />
</form>';
else if($moteur == 'ixquick')
echo '<form action="https://www.ixquick.com/do/search" method="get">
<label for="searchinput">'.tr($tr,'text_search').' Ixquick</label>
<input type="search" name="q" id="searchinput" style="width: 255px\;" maxlength="255" autofocus /><br />
<input type="submit" value="'.tr($tr,'buton_search').'" /><br />
</form>';
else if($moteur == 'goog')
echo '<form action="https://www.google.fr/search" method="get">
<label for="searchinput">'.tr($tr,'text_search').' Google</label>
<input type="search" name="q" id="searchinput" style="width: 255px\;" maxlength="255" autofocus /><br />
<input type="submit" value="'.tr($tr,'buton_search').'" /><br />
</form>';
else if($moteur == 'ask')
echo '<form action="https://fr.ask.com/web" method="get">
<label for="searchinput">'.tr($tr,'text_search').' Ask</label>
<input type="search" name="q" id="searchinput" style="width: 255px\;" maxlength="255" autofocus /><br />
<input type="submit" value="'.tr($tr,'buton_search').'" /><br />
</form>';
else if($moteur == 'yahoo')
echo '<form action="https://fr.search.yahoo.com/search" method="get">
<label for="searchinput">'.tr($tr,'text_search').' Yahoo Search</label>
<input type="search" name="q" id="searchinput" style="width: 255px\;" maxlength="255" autofocus /><br />
<input type="submit" value="'.tr($tr,'buton_search').'" /><br />
</form>';
else if($moteur == 'aol')
echo '<form action="https://recherche.aol.fr/aol/search" method="get">
<label for="searchinput">'.tr($tr,'text_search').' AOL Search</label>
<input type="search" name="q" id="searchinput" style="width: 255px\;" maxlength="255" autofocus /><br />
<input type="submit" value="'.tr($tr,'buton_search').'" /><br />
</form>';
else if($moteur == 'millionshort')
echo '<form action="https://millionshort.com/search" method="get">
<label for="searchinput">'.tr($tr,'text_search').' Million Short</label>
<input type="search" name="q" id="searchinput" style="width: 255px\;" maxlength="255" autofocus /><br />
<input type="submit" value="'.tr($tr,'buton_search').'" /><br />
</form>';
else if($moteur == 'pa')
echo '<form action="/search.php" method="get">
<label for="searchinput">'.tr($tr,'text_search').' '.$nomdusite.'</label>
<input type="search" name="q" id="searchinput" style="width: 255px\;" maxlength="255" autofocus /><br />
<input type="submit" value="'.tr($tr,'buton_search').'" /><br />
</form>'; ?>
</div>
</div>
</div>
<?php include 'inclus/footer.php'; ?>
</body>
</html>