<?php
include_once 'inclus/log.php';
require_once 'inclus/consts.php';
$titre='Changements de la version dev';
$cheminaudio='/audio/sons_des_pages/V.mp3';
$stats_page='chdev'; ?>
<!doctype html>
<html lang="fr">
<?php include 'inclus/header.php'; ?>
<body>
<div id="hautpage" role="banner">
<h1><a href="/" title="Retour à l'accueil"><?php print $nomdusite; ?></a></h1>
<?php if(isset($_SERVER['HTTP_USER_AGENT']) and strpos($_SERVER['HTTP_USER_AGENT'], 'Trident') !== FALSE) include 'inclus/trident.php';
include 'inclus/searchtool.php';
include 'inclus/loginbox.php'; ?>
</div>
<?php include('inclus/son.php');
include 'inclus/menu.php'; ?>
<div id="container" role="main">
<h1 id="contenu"><?php print $titre; ?></h1>
<p>Voici la liste des changements de la future mise à jour du site (version 17.0) prévue courant Janvier 2019&nbsp;:</p>
<ul>
	<li>Arrivée de l'internationalisation du site grâce à un système de traduction. La traduction des pages et contenus se fera progressivement. Nous commencerons par l'anglais, l'italien, l'espagnol et l'espéranto.</li>
	<li>Antispam remplacé par un système plus simple et accessible dans les formulaires</li>
	<li>Il est possible d'avoir une session ouverte sur plusieurs navigateurs et plusieurs appareils simultanément, sur le même compte.</li>
	<li>Vous pouvez maintenant vous abonner aux articles de votre choix pour recevoir des notifications lors d'un nouveau commentaire.</li>
	<li>De nouveaux éléments du site disposent désormais d'un identifiant unique permettant d'en parler et de les repérer plus facilement, ces identifiants se composent de l'ID généré en base de données précédés d'une des lettres suivantes&nbsp;:
		<ul>
			<li>F&nbsp;: identifiant d'une catégorie du forum</li>
			<li>T&nbsp;: identifiant d'un topic sur le forum</li>
		</ul>
	</li>
	<li>Les identifiants uniques des éléments du site ne seront plus remplis de 0 inutiles, par exemple, l'article anciennement nommé A001 sera désormais simplement nommé A1.</li>
	<li>Vous pouvez maintenant indiquer votre date de naissance dans votre profil si vous êtes membre, on pourra alors vous souhaiter un bon anniversaire.</li>
	<li>Réparation et actualisation de l'icône du fichier de l'OpenSearchDescription. Vous pouvez désormais utiliser intégrer le moteur de recherche <?php echo $nomdusite; ?> dans votre navigateur.</li>
	<li>Mise en conformité de la page de démarrage pour navigateurs Web avec le reste des pages du site.</li>
	<li>Correctifs divers et variés.</li>
</ul>
<h3>Changements à venir</h3>
	<ul>
		<li>Les lettres d'information, messages Facebook et Twitter, le journal des mises à jour du site devront être intégrés au système de traduction.</li>
		<li>On pourra choisir de recevoir un e-mail lors d'une notification (par exemple lors de la mise à jour d'un article, parallèlement aux lettres d'informations qui sont globales), ou juste de choisir à quels articles s'abonner.</li>
		<li>Le forum fera son grand retour plus tard.</li>
		<li>Une toute nouvelle version de ProgAccess est en réflexion, entièrement recodée dans un autre langage et utilisant des outils standards comme Git afin de faciliter la contribution (si vous êtes intéressé ou avez des suggestions techniques, vous pouvez nous contacter via le formulaire).</li>
	</ul>
<h3>Pour les développeurs</h3>
	<p>La structure du site a complètement changé&nbsp;: la table <em>softwares</em> ne contient plus le texte des articles, qui est dans <em>softwares_tr</em>, table contenant toutes les traductions d'articles. La modification de ces traductions se fait dans l'admin via <em>translate.php</em>.</p>
	<p>Progressivement, le texte statique ou semi-statique ne sera plus dans les fichiers des pages mais uniquement dans des fichiers de traduction dans <em>/locales</em>. Le contenu de ce dossier est disponible publiquement dans <em>/source/locale.zip</em> (archive générée automatiquement).</p>
	<p>Problème connu&nbsp;: L'API n'est plus totalement fonctionnelle, elle sera adaptée au système de traduction ultérieurement.</p>
	<p><a href="/opensource.php">Cette version sera libre (open-source).</a></p>
<hr />
<p>Ces changements sont généralement déjà effectifs en zone dev.</p>
</div>
<?php include 'inclus/footer.php'; ?>
</body>
</html>