<?php set_include_path($_SERVER['DOCUMENT_ROOT']);
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
use PHPMailer\PHPMailer\SMTP;
require_once 'inclus/lib/PHPMailer/src/PHPMailer.php';
require_once 'inclus/lib/PHPMailer/src/Exception.php';
require_once 'inclus/lib/PHPMailer/src/SMTP.php';
require_once 'inclus/smtp.php';
include_once 'inclus/log.php';
require_once 'inclus/consts.php';
$titre='Contacter l\'équipe '.$nomdusite;
$cheminaudio='/audio/sons_des_pages/harp_notif';
$stats_page='contacter';

$log = '';
$reply = false;
if(isset($_GET['reply']) and isset($_GET['h'])) {
	$req = $bdd->prepare('SELECT * FROM `tickets` WHERE `id`=? AND `hash`=? LIMIT 1');
	$req->execute(array($_GET['reply'], $_GET['h']));
	if($rdata = $req->fetch())
		$reply = true;
	else
		$log .= '<li>Le lien que vous avez suivi est invalide. Veuillez réessayer.<br />Si le problème persiste, vous pouvez envoyer un nouveau message en faisant référence à l\'ancien dans le texte.</li>';
}

if(isset($_GET['act']) and ($_GET['act'] == 'contact' or $_GET['act'] == 'reply')) {
	if(isset($_POST['agree']))
		exit();
	
	$reply2 = false;
	if($_GET['act'] == 'reply' and isset($_GET['id']) and isset($_GET['h'])) {
		$req = $bdd->prepare('SELECT * FROM `tickets` WHERE `id`=? AND `hash`=? LIMIT 1');
		$req->execute(array($_GET['id'], $_GET['h']));
		if($rdata2 = $req->fetch())
			$reply2 = true;
		else
			$log .= '<li>Le lien que vous avez suivi est invalide. Veuillez réessayer.<br />Si le problème persiste, vous pouvez envoyer un nouveau message en faisant référence à l\'ancien dans le texte.</li>';
	}
	
	if(!$reply2) {
		if(isset($_POST['name']) and !empty($_POST['name'])) {
			if(strlen($_POST['name']) > 255)
				$log .= '<li>Votre nom ne doit pas dépasser les 255 caractères.</li>';
		}
		else $log .= '<li>Veuillez renseigner votre nom ou un pseudonyme de votre choix.</li>';

		if(isset($_POST['mail']) and !empty($_POST['mail'])) {
			if(strlen($_POST['mail']) > 255)
				$log .= '<li>Votre adresse e-mail ne doit pas dépasser les 255 caractères.</li>';
		}
		else $log .= '<li>Veuillez renseigner une adresse e-mail valide (elle sera utilisée pour vous répondre).</li>';

		$obj = '';
		if(isset($_POST['obj'])) {
			if(empty($_POST['obj'])) {
				if(isset($_POST['objother']) and !empty($_POST['objother'])) {
					if(strlen($_POST['objother']) > 255)
						$log .= '<li>Le sujet du message ne doit pas dépasser les 255 caractères.</li>';
					else
						$obj = $_POST['objother'];
				}
				else $log .= '<li>Veuillez renseigner le sujet de votre message.</li>';
			}
			else {
				if(strlen($_POST['obj']) > 255)
					$log .= '<li>Le sujet du message ne doit pas dépasser les 255 caractères.</li>';
				else
					$obj = $_POST['obj'];
			}
		}
		else $log .= '<li>Veuillez renseigner le sujet de votre message.</li>';
	}
	
	if(isset($_POST['msg']) and strlen($_POST['msg']) > 10) {
		if(strlen($_POST['msg']) > 8192)
			$log .= '<li>Le message ne doit pas dépasser les 8192 caractères.</li>';
	}
	else $log .= '<li>Votre message serait certainement plus utile en comportant un nombre de lettres supérieur à 10.</li>';
	
	if(empty($log)) {
		$msg = str_replace("\n\n", '</p><p>', htmlspecialchars($_POST['msg']));
		$msg = '<p>'.str_replace("\n", '<br />', $msg).'</p>';
		$time = time();
		if($reply2) {
			$req = $bdd->prepare('UPDATE `tickets` SET `messages`=?, `status`=1, `date`=? WHERE `id`=? LIMIT 1');
			$messages = json_decode($rdata2['messages'], true);
			$messages[] = ['e'=>$rdata2['expeditor_name'],'m'=>0,'d'=>$time, 't'=>$msg];
			$req->execute(array(json_encode($messages), $time, $rdata2['id']));
		}
		else {
			$req = $bdd->prepare('INSERT INTO `tickets` (`subject`,`expeditor_email`,`expeditor_name`,`messages`,`status`,`hash`,`date`) VALUES (?,?,?,?,0,?,?)');
			$message = json_encode([['e'=>$_POST['name'],'m'=>0,'d'=>$time, 't'=>$msg]]);
			$hash = hash('sha512', strval(time()).strval(rand()).$_POST['name'].strval(rand()));
			$req->execute(array($obj, $_POST['mail'], $_POST['name'], $message, $hash, $time));
		}
		header('Location: /');
// 		$log = '<li>Nous vous remercions pour votre message. Vous devriez recevoir bientôt un e-mail de réponse.</li>';
		$body = '<!DOCTYPE html>
<html lang="fr">
	<head>
		<meta charset="utf-8" />
		<title>Formulaire de contact '.$nomdusite.'</title>
	</head>
	<body>
		<h1>'.$nomdusite.'</h1>
		<p>Un message a été envoyé via le formulaire de contact de '.$nomdusite.'.</p>
		<p><a href="https://www.progaccess33.net/pro/admin/tickets.php">Consulter les tickets</a></p>
	</body>
</html>';
		$mail = new PHPMailer;
		$mail->isSMTP();
		$mail->Host = $smtp_host;
		$mail->Port = $smtp_port;
		$mail->SMTPAuth = true;
		$mail->Username = $smtp_username;
		$mail->Password = $smtp_psw;
		$mail->setFrom('no_reply@progaccess33.net', 'Formulaire '.$nomdusite);
		$mail->addReplyTo('no_reply@progaccess33.net', 'Formulaire '.$nomdusite);
		$mail->addAddress('contact@progaccess33.net');
		$mail->Subject = 'Formulaire de contact '.$nomdusite;
		$mail->CharSet = 'UTF-8';
		$mail->isHTML(TRUE);
		$mail->Body = $body;
		$mail->AltBody = "Formulaire de contact $nomdusite \r\nUn message a été envoyé via le formulaire de contact de $nomdusite .\r\nConsulter les tickets à l'adresse suivante:\r\nhttps://www.progaccess33.net/admin/tickets.php";
		$mail->send();
	}
}
?>
<!doctype html>
<html lang="fr">
<?php include 'inclus/header.php'; ?>
<body>
<div id="hautpage" role="banner">
<h1><a href="/" title="Retour à l'accueil"><?php print $nomdusite; ?></a></h1>
<?php if(isset($_SERVER['HTTP_USER_AGENT']) and strpos($_SERVER['HTTP_USER_AGENT'], 'Trident') !== FALSE) include 'inclus/trident.php';
include 'inclus/searchtool.php';
include 'inclus/loginbox.php'; ?>
</div>
<?php include('inclus/son.php');
include 'inclus/menu.php'; ?>
<div id="container" role="main">
<h1 id="contenu">Contacter l'équipe <?php print $nomdusite; ?></h1>
<?php if(!empty($log)) echo '<ul id="log">'.$log.'</ul>'; ?>
<form action="?act=<?php if($reply) echo 'reply&id='.$rdata['id'].'&h='.$rdata['hash']; else echo 'contact'; ?>#log" method="post" spellcheck="true">
	<fieldset><legend>Informations personnelles</legend>
		<table>
			<tr><td><label for="f_name">Nom&nbsp;:</label></td><td><input type="text" name="name" id="f_name"<?php if($reply) echo ' value="'.htmlentities($rdata['expeditor_name']).'" disabled'; else {if(isset($_POST['name']))echo ' value="'.htmlentities($_POST['name']);echo '" maxlength="255" required';if(!isset($_GET['act'])) echo ' autofocus';} ?> /></td></tr>
			<tr><td><label for="f_mail">Adresse e-mail&nbsp;:</label></td><td><input type="email" name="mail" id="f_mail"<?php if($reply) echo ' value="'.htmlentities($rdata['expeditor_email']).'" disabled'; elseif(isset($_POST['mail']))echo ' value="'.htmlentities($_POST['mail']).'"'; ?> maxlength="255" required /></td></tr>
		</table>
	</fieldset>
	<fieldset><legend>Message</legend>
		<label for="f_obj">Sujet du message&nbsp;:</label>
<?php if($reply) { ?>
		<input type="text" id="f_obj" name="obj" value="<?php echo htmlentities($rdata['subject']); ?>" disabled />
<?php } else {
	$obj = 0;
	if(isset($_POST['obj'])) {
		$objs = array('Proposition de logiciel','Rapport de bug','Suggestion de tutoriel','Demande de modification','Demande de site','Bug de l\'AccessiKey','Bug de MaintenanceKey','Demande sur la confidentialité','Rapport de problème graphique','autre');
		if(in_array($_POST['obj'], $objs))
			$obj = array_search($_POST['obj'], $objs);
	}
?>
		<select name="obj" id="f_obj" onchange="showother()">
			<option value="Proposition de logiciel"<?php if($obj==0)echo ' selected'; ?>>Proposer un logiciel</option>
			<option value="Rapport de bug"<?php if($obj==1)echo ' selected'; ?>>Remonter un bug</option>
			<option value="Suggestion de tutoriel"<?php if($obj==2)echo ' selected'; ?>>Faire une suggestion de tutoriel</option>
			<option value="Demande de modification"<?php if($obj==3)echo ' selected'; ?>>Demander une modification pour la prochaine version</option>
			<option value="Demande de site"<?php if($obj==4)echo ' selected'; ?>>Proposer un site ou une liste pour les "autres sites utiles"</option>
			<option value="Demande sur la confidentialité"<?php if($obj==7)echo ' selected'; ?>>Demande sur la politique de confidentialité</option>
			<option value="Rapport de problème graphique"<?php if($obj==8)echo ' selected'; ?>>Remonter un problème graphique (design, etc.)</option>
			<option value="autre"<?php if($obj==9)echo ' selected'; ?>>autre chose</option>
		</select><br />
		<label for="f_objother" id="flabel_objother">Sujet du message (autre)&nbsp;:</label>
		<input type="text" id="f_objother" name="objother" value="<?php if(isset($_POST['objother']))echo htmlentities($_POST['objother']); ?>" />
		<script type="text/javascript">
function showother() {
	if(document.getElementById("f_obj").value == "autre") {
		document.getElementById("flabel_objother").style = "";
		document.getElementById("f_objother").style = "";
	} else {
		document.getElementById("flabel_objother").style = "display: none;";
		document.getElementById("f_objother").style = "display: none;";
	}
}
showother();
</script>
<?php } ?><br />
		<label for="f_msg">Votre message&nbsp;:</label><br />
		<textarea id="f_msg" name="msg" maxlength="8192" style="width: calc(100% - 10px);min-height: 100px;margin-bottom: 10px;" required><?php if(isset($_POST['msg']))echo htmlentities($_POST['msg']); ?></textarea><br />
		<label for="f_agree" class="f_antispam">Veuillez ne pas cocher cette case&nbsp;:</label>
		<input type="checkbox" id="f_agree" name="agree" class="f_antispam" /><br />
		<input type="submit" value="Envoyer" />
	</fieldset>
</form>
</div>
<?php include 'inclus/footer.php'; ?>
</body>
</html>