<?php
$logged = false;
if(isset($_COOKIE['session']) and isset($_COOKIE['connectid'])) {
	require_once($_SERVER['DOCUMENT_ROOT'].'/inclus/dbconnect.php');
	/*$req = $bdd->prepare('
		SELECT `accounts`.*, `team`.`id` AS `team_id` 
		FROM `accounts` 
		LEFT JOIN `team` ON `team`.`account_id` = `accounts`.`id` 
		WHERE `accounts`.`connectid`=? AND `accounts`.`expire`>? LIMIT 1');*/
	$req = $bdd->prepare('
		SELECT `sessions`.`id` AS `session_id`, `sessions`.`session`, `sessions`.`connectid`, `sessions`.`expire`, `sessions`.`token`, `accounts`.`id`, `accounts`.`id64`, `accounts`.`email`, `accounts`.`username`, `accounts`.`signup_date`, `accounts`.`password`, `accounts`.`settings`, `accounts`.`confirmed`, `accounts`.`subscribed_comments`, `accounts`.`rank`, `team`.`id` AS `team_id` 
		FROM `sessions` 
		LEFT JOIN `accounts` ON `accounts`.`id` = `sessions`.`account` 
		LEFT JOIN `team` ON `team`.`account_id` = `sessions`.`account` 
		WHERE `sessions`.`connectid`=? AND `sessions`.`expire`>? LIMIT 1');
	$req->execute(array($_COOKIE['connectid'], time()));
	if($login = $req->fetch()) {
		if(password_verify($_COOKIE['session'], $login['session'])) {
			if(isset($nolog) and $nolog) {
				header('Location: /');
				exit();
			}
			$logged = true;
			$req2 = $bdd->prepare('UPDATE `sessions` SET `expire`=? WHERE `id`=?');
			$req2->execute(array(time()+31557600, $login['session_id']));
			# check settings cookies
			$settings = json_decode($login['settings'], true);
			$sets = array('menu', 'fontsize', 'audio', 'date', 'infosdef');
			foreach($sets as &$setting) {
				if(isset($settings[$setting]) and (!isset($_COOKIE[$setting]) or (isset($_COOKIE[$setting]) and $_COOKIE[$setting]!=$settings[$setting])))
					setcookie($setting, $settings[$setting], time()+31557600, null, null, false, true);
			}
			unset($setting);
			unset($sets);
			
			$nom = '';
			if($settings['rank'] == 'a') {
				$req = $bdd->prepare('SELECT `short_name` FROM `team` WHERE `account_id`=? LIMIT 1');
				$req->execute(array($login['id']));
				if($data = $req->fetch())
					$nom = $data['short_name'];
			}
		}
	}
	$req->closeCursor();
}
if(!$logged and isset($logonly) and $logonly) {
	header('Location: /login.php?logonly');
	exit();
}
if($adminonly) {
	if(!$logged) {
		// header('Location: /');
		header('Location: '.$_SERVER['HTTP_REFERER']);
		exit();
	}
	elseif($login['rank'] != 'a') {
		// header('Location: /');
		header('Location: '.$_SERVER['HTTP_REFERER']);
		exit();
	}
}
?>