-- phpMyAdmin SQL Dump
-- version 4.8.4
-- https://www.phpmyadmin.net/
--
-- Hôte : localhost:3306
-- Généré le :  mer. 24 avr. 2019 à 18:26
-- Version du serveur :  10.2.23-MariaDB-10.2.23+maria~stretch-log
-- Version de PHP :  7.1.14

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données :  `apfr`
--

-- --------------------------------------------------------

--
-- Structure de la table `accounts`
--

CREATE TABLE `accounts` (
  `id` int(11) NOT NULL,
  `id64` varchar(88) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `username` varchar(32) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `password` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `signup_date` bigint(11) NOT NULL DEFAULT 0,
  `session` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `connectid` varchar(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `expire` bigint(11) NOT NULL DEFAULT 0,
  `confirmed` tinyint(1) NOT NULL DEFAULT 0,
  `settings` mediumtext NOT NULL,
  `token` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `rank` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  `subscribed_comments` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Structure de la table `count_visitors`
--

CREATE TABLE `count_visitors` (
  `id` int(11) NOT NULL,
  `addr` varchar(40) NOT NULL,
  `lastvisit` int(11) NOT NULL,
  `domain` varchar(16) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `count_visits`
--

CREATE TABLE `count_visits` (
  `id` int(11) NOT NULL,
  `date` date NOT NULL,
  `page` varchar(255) NOT NULL DEFAULT '',
  `domain` varchar(16) NOT NULL DEFAULT '',
  `visits` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `cpt_connectes`
--

CREATE TABLE `cpt_connectes` (
  `ip` varchar(255) COLLATE latin1_german2_ci NOT NULL,
  `timestamp` varchar(255) COLLATE latin1_german2_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_german2_ci;

-- --------------------------------------------------------

--
-- Structure de la table `daily_visitors`
--

CREATE TABLE `daily_visitors` (
  `id` int(11) NOT NULL,
  `date` date NOT NULL,
  `visitors` int(11) NOT NULL,
  `domain` varchar(16) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `forum_cache_topics`
--

CREATE TABLE `forum_cache_topics` (
  `id` int(11) NOT NULL,
  `topic_id` int(11) NOT NULL,
  `master` int(11) NOT NULL,
  `type` varchar(1) NOT NULL DEFAULT 'n',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `author_html` varchar(535) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `nb_msgs` int(11) NOT NULL DEFAULT 0,
  `date` int(11) NOT NULL,
  `last` bigint(11) NOT NULL DEFAULT 0,
  `last_html` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `closed` tinyint(1) NOT NULL DEFAULT 0,
  `resolved` tinyint(1) NOT NULL DEFAULT 0,
  `tags` varchar(535) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `forum_cat`
--

CREATE TABLE `forum_cat` (
  `id` int(11) NOT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `master` int(11) NOT NULL DEFAULT 0 COMMENT 'id de la catégorie mère (0 sinon)',
  `description` varchar(535) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `rights` tinyint(1) NOT NULL DEFAULT 0,
  `last` bigint(11) NOT NULL DEFAULT 0,
  `last_html` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `forum_posts`
--

CREATE TABLE `forum_posts` (
  `id` int(11) NOT NULL,
  `author` int(11) NOT NULL,
  `date` bigint(11) NOT NULL,
  `master` int(11) NOT NULL,
  `msg` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `forum_topics`
--

CREATE TABLE `forum_topics` (
  `id` int(11) NOT NULL,
  `author` int(11) NOT NULL,
  `date` bigint(11) NOT NULL,
  `type` char(1) NOT NULL DEFAULT 'n' COMMENT 'n:normal p:postit',
  `master` int(11) NOT NULL,
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `msg` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `resolved` tinyint(1) NOT NULL DEFAULT 0,
  `closed` tinyint(1) NOT NULL DEFAULT 0,
  `tags` varchar(535) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `languages`
--

CREATE TABLE `languages` (
  `id` int(11) NOT NULL,
  `lang` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `priority` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Déchargement des données de la table `languages`
--

INSERT INTO `languages` (`id`, `lang`, `name`, `priority`) VALUES
(1, 'fr', 'Français', 0),
(2, 'en', 'English', 1),
(3, 'it', 'Italiano', 3),
(4, 'es', 'Español', 2),
(5, 'eo', 'Esperanto', 4);

-- --------------------------------------------------------

--
-- Structure de la table `newsletter_mails`
--

CREATE TABLE `newsletter_mails` (
  `id` int(11) NOT NULL,
  `hash` varchar(80) NOT NULL,
  `mail` varchar(255) NOT NULL,
  `expire` int(11) NOT NULL,
  `freq` tinyint(4) NOT NULL,
  `notif_site` tinyint(1) NOT NULL,
  `notif_upd` varchar(2) NOT NULL,
  `confirm` tinyint(1) NOT NULL DEFAULT 0,
  `lastmail` int(11) NOT NULL,
  `lang` varchar(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `notifs`
--

CREATE TABLE `notifs` (
  `id` int(11) NOT NULL,
  `date` bigint(11) NOT NULL,
  `account` int(11) NOT NULL,
  `data` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'JSON data',
  `mail_sent` tinyint(1) NOT NULL DEFAULT 0,
  `unread` tinyint(1) NOT NULL DEFAULT 1
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `sessions`
--

CREATE TABLE `sessions` (
  `id` int(11) NOT NULL,
  `account` int(11) NOT NULL,
  `session` varchar(255) CHARACTER SET utf8 NOT NULL,
  `connectid` varchar(64) CHARACTER SET utf8 NOT NULL,
  `expire` int(11) NOT NULL,
  `token` varchar(32) CHARACTER SET utf8 NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `site_updates`
--

CREATE TABLE `site_updates` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `date` int(11) NOT NULL,
  `uptype` varchar(8) NOT NULL DEFAULT '',
  `authors` varchar(255) NOT NULL DEFAULT '',
  `codestat` varchar(255) NOT NULL DEFAULT '[-1,-1,-1]'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `slides_tr`
--

CREATE TABLE `slides_tr` (
  `id` int(11) NOT NULL,
  `slide_id` int(11) NOT NULL,
  `lang` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL,
  `date` bigint(11) NOT NULL,
  `title` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL,
  `contain` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `author` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `todo_level` tinyint(11) NOT NULL DEFAULT 2 COMMENT '0:reference, 1:ok, 2:to be checked, 3:to be modified'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `softwares`
--

CREATE TABLE `softwares` (
  `id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `category` int(11) NOT NULL,
  `text` text COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `date` int(11) NOT NULL,
  `hits` int(11) NOT NULL DEFAULT 0,
  `description` varchar(511) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `keywords` varchar(511) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `website` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `note` int(11) NOT NULL DEFAULT 0 COMMENT 'somme des notes sur 10',
  `votes` int(11) NOT NULL DEFAULT 0 COMMENT 'nombre de votes',
  `downloads` int(11) NOT NULL DEFAULT 0,
  `author` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `softwares_categories`
--

CREATE TABLE `softwares_categories` (
  `id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `text` text COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `softwares_categories_tr`
--

CREATE TABLE `softwares_categories_tr` (
  `id` int(11) NOT NULL,
  `lang` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `text` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `todo_level` tinyint(11) NOT NULL DEFAULT 2 COMMENT '0:reference, 1:ok, 2:to be checked, 3:to be modified'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `softwares_comments`
--

CREATE TABLE `softwares_comments` (
  `id` int(11) NOT NULL,
  `sw_id` int(11) NOT NULL,
  `date` int(11) NOT NULL,
  `pseudo` varchar(31) NOT NULL,
  `text` text NOT NULL,
  `ip` varchar(40) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `softwares_files`
--

CREATE TABLE `softwares_files` (
  `id` int(11) NOT NULL,
  `sw_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `hash` varchar(80) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `filetype` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `date` int(11) NOT NULL DEFAULT 0,
  `filesize` int(11) NOT NULL DEFAULT 0,
  `hits` int(11) NOT NULL DEFAULT 0,
  `label` varchar(1000) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `md5` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sha1` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `softwares_mirrors`
--

CREATE TABLE `softwares_mirrors` (
  `id` int(11) NOT NULL,
  `sw_id` int(11) NOT NULL,
  `links` text NOT NULL,
  `title` varchar(255) NOT NULL,
  `date` int(11) NOT NULL,
  `hits` int(11) NOT NULL DEFAULT 0,
  `label` varchar(16) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `softwares_tr`
--

CREATE TABLE `softwares_tr` (
  `id` int(11) NOT NULL,
  `sw_id` int(11) NOT NULL,
  `lang` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL,
  `date` bigint(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `text` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `keywords` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL,
  `website` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `author` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `todo_level` tinyint(11) NOT NULL DEFAULT 2 COMMENT '0:reference, 1:ok, 2:to be checked, 3:to be modified'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=COMPACT;

-- --------------------------------------------------------

--
-- Structure de la table `subscriptions_comments`
--

CREATE TABLE `subscriptions_comments` (
  `id` int(11) NOT NULL,
  `account` int(11) NOT NULL,
  `article` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `subscriptions_topics`
--

CREATE TABLE `subscriptions_topics` (
  `id` int(11) NOT NULL,
  `account` int(11) NOT NULL,
  `topic` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `team`
--

CREATE TABLE `team` (
  `id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `date` int(11) NOT NULL,
  `age` int(11) NOT NULL,
  `account_id` int(11) DEFAULT NULL,
  `short_name` text COLLATE utf8mb4_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Structure de la table `tickets`
--

CREATE TABLE `tickets` (
  `id` int(11) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `expeditor_email` varchar(255) NOT NULL,
  `expeditor_name` varchar(255) NOT NULL,
  `messages` text NOT NULL,
  `status` tinyint(4) NOT NULL,
  `hash` varchar(128) NOT NULL,
  `date` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Index pour les tables déchargées
--

--
-- Index pour la table `accounts`
--
ALTER TABLE `accounts`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `count_visitors`
--
ALTER TABLE `count_visitors`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `count_visits`
--
ALTER TABLE `count_visits`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `daily_visitors`
--
ALTER TABLE `daily_visitors`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `forum_cache_topics`
--
ALTER TABLE `forum_cache_topics`
  ADD PRIMARY KEY (`id`),
  ADD KEY `forum_cache_topics_ibfk_1` (`master`),
  ADD KEY `forum_cache_topics_ibfk_2` (`topic_id`);

--
-- Index pour la table `forum_cat`
--
ALTER TABLE `forum_cat`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `forum_posts`
--
ALTER TABLE `forum_posts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `forum_posts_ibfk_1` (`master`),
  ADD KEY `author` (`author`);

--
-- Index pour la table `forum_topics`
--
ALTER TABLE `forum_topics`
  ADD PRIMARY KEY (`id`),
  ADD KEY `forum_topics_ibfk_1` (`master`),
  ADD KEY `forum_topics_ibfk_2` (`author`);

--
-- Index pour la table `languages`
--
ALTER TABLE `languages`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `lang` (`lang`);

--
-- Index pour la table `newsletter_mails`
--
ALTER TABLE `newsletter_mails`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `notifs`
--
ALTER TABLE `notifs`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `sessions`
--
ALTER TABLE `sessions`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `site_updates`
--
ALTER TABLE `site_updates`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `slides_tr`
--
ALTER TABLE `slides_tr`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `softwares`
--
ALTER TABLE `softwares`
  ADD PRIMARY KEY (`id`),
  ADD KEY `category` (`category`);

--
-- Index pour la table `softwares_categories`
--
ALTER TABLE `softwares_categories`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `softwares_categories_tr`
--
ALTER TABLE `softwares_categories_tr`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `softwares_comments`
--
ALTER TABLE `softwares_comments`
  ADD PRIMARY KEY (`id`),
  ADD KEY `softwares_comments_ibfk_1` (`sw_id`);

--
-- Index pour la table `softwares_files`
--
ALTER TABLE `softwares_files`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sw_id` (`sw_id`);

--
-- Index pour la table `softwares_mirrors`
--
ALTER TABLE `softwares_mirrors`
  ADD PRIMARY KEY (`id`),
  ADD KEY `softwares_mirrors_ibfk_1` (`sw_id`);

--
-- Index pour la table `softwares_tr`
--
ALTER TABLE `softwares_tr`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `subscriptions_comments`
--
ALTER TABLE `subscriptions_comments`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `subscriptions_topics`
--
ALTER TABLE `subscriptions_topics`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `team`
--
ALTER TABLE `team`
  ADD PRIMARY KEY (`id`);

--
-- Index pour la table `tickets`
--
ALTER TABLE `tickets`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT pour les tables déchargées
--

--
-- AUTO_INCREMENT pour la table `accounts`
--
ALTER TABLE `accounts`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `count_visitors`
--
ALTER TABLE `count_visitors`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `count_visits`
--
ALTER TABLE `count_visits`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `daily_visitors`
--
ALTER TABLE `daily_visitors`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `forum_cache_topics`
--
ALTER TABLE `forum_cache_topics`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `forum_cat`
--
ALTER TABLE `forum_cat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `forum_posts`
--
ALTER TABLE `forum_posts`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `forum_topics`
--
ALTER TABLE `forum_topics`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `languages`
--
ALTER TABLE `languages`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `newsletter_mails`
--
ALTER TABLE `newsletter_mails`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `notifs`
--
ALTER TABLE `notifs`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `sessions`
--
ALTER TABLE `sessions`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `site_updates`
--
ALTER TABLE `site_updates`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `slides_tr`
--
ALTER TABLE `slides_tr`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `softwares`
--
ALTER TABLE `softwares`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `softwares_categories`
--
ALTER TABLE `softwares_categories`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `softwares_categories_tr`
--
ALTER TABLE `softwares_categories_tr`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `softwares_comments`
--
ALTER TABLE `softwares_comments`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `softwares_files`
--
ALTER TABLE `softwares_files`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `softwares_mirrors`
--
ALTER TABLE `softwares_mirrors`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `softwares_tr`
--
ALTER TABLE `softwares_tr`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `subscriptions_comments`
--
ALTER TABLE `subscriptions_comments`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `subscriptions_topics`
--
ALTER TABLE `subscriptions_topics`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `team`
--
ALTER TABLE `team`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `tickets`
--
ALTER TABLE `tickets`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Contraintes pour les tables déchargées
--

--
-- Contraintes pour la table `forum_cache_topics`
--
ALTER TABLE `forum_cache_topics`
  ADD CONSTRAINT `forum_cache_topics_ibfk_1` FOREIGN KEY (`master`) REFERENCES `forum_cat` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `forum_cache_topics_ibfk_2` FOREIGN KEY (`topic_id`) REFERENCES `forum_topics` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Contraintes pour la table `forum_posts`
--
ALTER TABLE `forum_posts`
  ADD CONSTRAINT `forum_posts_ibfk_1` FOREIGN KEY (`master`) REFERENCES `forum_topics` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Contraintes pour la table `forum_topics`
--
ALTER TABLE `forum_topics`
  ADD CONSTRAINT `forum_topics_ibfk_1` FOREIGN KEY (`master`) REFERENCES `forum_cat` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  ADD CONSTRAINT `forum_topics_ibfk_2` FOREIGN KEY (`author`) REFERENCES `accounts` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Contraintes pour la table `softwares`
--
ALTER TABLE `softwares`
  ADD CONSTRAINT `softwares_ibfk_1` FOREIGN KEY (`category`) REFERENCES `softwares_categories` (`id`) ON UPDATE CASCADE;

--
-- Contraintes pour la table `softwares_comments`
--
ALTER TABLE `softwares_comments`
  ADD CONSTRAINT `softwares_comments_ibfk_1` FOREIGN KEY (`sw_id`) REFERENCES `softwares` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Contraintes pour la table `softwares_files`
--
ALTER TABLE `softwares_files`
  ADD CONSTRAINT `softwares_files_ibfk_1` FOREIGN KEY (`sw_id`) REFERENCES `softwares` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Contraintes pour la table `softwares_mirrors`
--
ALTER TABLE `softwares_mirrors`
  ADD CONSTRAINT `softwares_mirrors_ibfk_1` FOREIGN KEY (`sw_id`) REFERENCES `softwares` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
