<?php
$noapi = true;
require_once 'api_inc.php';
set_include_path($_SERVER['DOCUMENT_ROOT']);
require 'inclus/log.php';
require_once 'inclus/consts.php';
$tr = load_tr($lang, 'api_home');
$titre = tr($tr,'title');
$cheminaudio = '/audio/sons_des_pages/harp_notif.mp3';
$stats_page = 'contact'; ?>
<!doctype html>
<html lang="fr">
	<?php require_once 'inclus/header.php'; ?>
	<body>
		<div id="hautpage" role="banner">
			<h1><a href="/" title="<?php echo tr($tr0,'banner_homelink'); ?>"><?php print $nomdusite; ?></a></h1>
			<?php if(isset($_SERVER['HTTP_USER_AGENT']) and strpos($_SERVER['HTTP_USER_AGENT'], 'Trident') !== FALSE) include 'inclus/trident.php';
include 'inclus/searchtool.php';
include 'inclus/loginbox.php'; ?>
		</div>
		<?php include('inclus/son.php');
include 'inclus/menu.php'; ?>
		<div id="container" role="main">
			<h1 id="contenu"><?php print $titre; ?></h1>
			
			<p><?php echo tr($tr,'intro_text'); ?></p>
			
			<h2><?php echo tr($tr,'doc_title'); ?></h2>
			
			<h3><?php echo tr($tr,'version_title'); ?></h3>
			<p><?php echo tr($tr,'version_text', array('apiversion'=>$api_version)); ?></p>
			
			<h3>Données</h3>
			<p>Les données renvoyées par le serveur peuvent être choisies en modifiant les paramètres GET. Plusieurs paramètres peuvent être utilisés simultanément.</p>
			<ul>
				<li><strong>Par défaut</strong>:
					<ul>
						<li><em>api_version</em>: Version de l'API</li>
					</ul>
				</li>
				<li><strong>?g</strong>: Informations générales
					<ul>
						<li><em>name</em>: Nom du site</li>
						<li><em>slogan</em>: Slogan du site</li>
						<li><em>lang</em>: Langue actuelle (peut être changée avec le paramètre ?lang)</li>
						<li><em>version_id</em>: ID de la version du site</li>
						<li><em>version_name</em>: Numéro de la version du site</li>
						<li><em>version_time</em>: Date de publication de la version du site</li>
						<li><em>maintenance</em>: Mode maintenance</li>
						<li><em>domain</em>: Domaine courant</li>
						<li><em>visits_year</em>: Nombre de visites sur ce domaine depuis 1 an</li>
						<li><em>visits_day</em>: Nombre de visites sur ce domaine depuis minuit</li>
						<li><em>visitors_week</em>: Nombre de visiteurs sur ce domaine depuis 7 jours</li>
						<li><em>visitors_day</em>: Nombre de visiteurs sur ce domaine depuis minuit</li>
						<li><em>languages</em>: liste des langues [id, code, nom, priorité]</li>
					</ul>
				</li>
			</ul>
			
		</div>
		<?php include 'inclus/footer.php'; ?>
	</body>
</html>