<?php
$nomm = true;
require_once 'api_inc.php';

$domain = '';
if(!isset($stats_page)) $stats_page = '';
if(strstr($_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], 'dev.progaccess33.net/')) $domain = 'pa33_dev';
else if(strstr($_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], 'progaccess33.net/')) $domain = 'pa33';
else if(strstr($_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], 'dev.pa33netki3kw4kjk.onion/')) $domain = 'pa33_onion_dev';
else if(strstr($_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], 'pa33netki3kw4kjk.onion/')) $domain = 'pa33_onion';

$slides = array();
$req = $bdd->prepare('SELECT * FROM `slides`');
$req->execute();
while($data = $req->fetch()) {
	$slides[] = array($data['id'], $data['label'], str_replace('{{site}}', $nomdusite, $data['title']), str_replace('{{site}}', $nomdusite, $data['contain'], $data['date']));
}

$date = date('Y-m-d');
$xvisits = 0;
$xvisitstoday = 0;
$req = $bdd->prepare('SELECT `page`,`date`,`visits` FROM `count_visits` WHERE `domain`=? AND `date`>?');
$req->execute(array($domain, time()-31557600));
while($data = $req->fetch()) {
	$xvisits += $data['visits'];
	if($data['date'] == $date)
		$xvisitstoday += $data['visits'];
}

$xvisitors = 0;
$xconn = 0;
$xtoday = 0;
$req = $bdd->prepare('SELECT `lastvisit` FROM `count_visitors` WHERE `domain`=?');
$req->execute(array($domain));
while($data = $req->fetch()) {
	if($data['lastvisit'] > strtotime('midnight'))
		$xtoday ++;
	if($data['lastvisit'] > time()-600)
		$xconn ++;
	$xvisitors ++;
}

echo json_encode(array(
	'api_version'=>$api_version,
	'name'=>$nomdusite,
	'slogan'=>$slogan,
	'lang'=>$lang,
	'version_id'=>$derniereversion,
	'version_name'=>$versionnom,
	'version_time'=>$versiondate,
	'maintenance'=>(isset($modemaintenance) and $modemaintenance),
	'domain'=>$domain,
	'slides'=>$slides,
	'visits_year'=>$xvisits,
	'visits_day'=>$xvisitstoday,
	'visitors_week'=>$xvisitors,
	'visitors_day'=>$xtoday
));
?>