<?php
require_once 'api_inc.php';

$rdata = array('api_version'=>$api_version);

if(isset($_GET['g'])) {
	$domain = '';
	if(!isset($stats_page)) $stats_page = '';
	if(strstr($_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], 'dev.progaccess33.net/')) $domain = 'pa33_dev';
	else if(strstr($_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], 'progaccess33.net/')) $domain = 'pa33';
	else if(strstr($_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], 'dev.pa33netki3kw4kjk.onion/')) $domain = 'pa33_onion_dev';
	else if(strstr($_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], 'pa33netki3kw4kjk.onion/')) $domain = 'pa33_onion';
	
	$date = date('Y-m-d');
	$xvisits = 0;
	$xvisitstoday = 0;
	$req = $bdd->prepare('SELECT `page`,`date`,`visits` FROM `count_visits` WHERE `domain`=? AND `date`>?');
	$req->execute(array($domain, time()-31557600));
	while($data = $req->fetch()) {
		$xvisits += $data['visits'];
		if($data['date'] == $date)
			$xvisitstoday += $data['visits'];
	}
	
	$xvisitors = 0;
	$xconn = 0;
	$xtoday = 0;
	$req = $bdd->prepare('SELECT `lastvisit` FROM `count_visitors` WHERE `domain`=?');
	$req->execute(array($domain));
	while($data = $req->fetch()) {
		if($data['lastvisit'] > strtotime('midnight'))
			$xtoday ++;
		if($data['lastvisit'] > time()-600)
			$xconn ++;
		$xvisitors ++;
	}
	
	$langs = array();
	$req = $bdd->prepare('SELECT * FROM `languages`');
	$req->execute();
	while($data = $req->fetch()) {
		$langs[] = array($data['id'], $data['lang'], $data['name'], $data['priority']);
	}
	
	$rdata['general'] = array(
		'name'=>$nomdusite,
		'slogan'=>$slogan,
		'lang'=>$lang,
		'version_id'=>$derniereversion,
		'version_name'=>$versionnom,
		'version_time'=>$versiondate,
		'maintenance'=>(isset($modemaintenance) and $modemaintenance),
		'domain'=>$domain,
		'visits_year'=>$xvisits,
		'visits_day'=>$xvisitstoday,
		'visitors_week'=>$xvisitors,
		'visitors_day'=>$xtoday,
		'languages'=>$langs
	);
}

if(isset($_GET['slides'])) {
	$slides = array();
	$req = $bdd->prepare('SELECT * FROM `slides`');
	$req->execute();
	while($data = $req->fetch()) {
		$slides[] = array($data['id'], $data['label'], $data['style'], str_replace('{{site}}', $nomdusite, $data['title']), $data['title_style'], str_replace('{{site}}', $nomdusite, $data['contain']), $data['contain_style'], $data['date']);
	}
	$rdata['slides'] = $slides;
}

if(isset($_GET['c'])) {
	$categories = array();
	$req = $bdd->prepare('SELECT * FROM `softwares_categories`');
	$req->execute();
	while($data = $req->fetch()) {
		$categories[] = array($data['id'], $data['name'], $data['text']);
	}
	$rdata['articles_categories'] = $categories;
}

if(isset($_GET['a'])) {
	$articles = array();
	$req = $bdd->prepare('SELECT * FROM `softwares`');
	$req->execute();
	while($data = $req->fetch()) {
		$articles[] = array($data['id'], $data['name'], $data['category'], $data['date'], $data['hits'], $data['downloads'], $data['author']);
	}
	$rdata['articles'] = $articles;
}

if(isset($_GET['su'])) {
	$site_updates = array();
	$req = $bdd->prepare('SELECT * FROM `site_updates`');
	$req->execute();
	while($data = $req->fetch()) {
		$site_updates[] = array($data['id'], $data['name'], $data['text'], $data['date'], $data['authors'], json_decode($data['codestat']));
	}
	$rdata['site_updates'] = $site_updates;
}

if(isset($_GET['af'])) {
	$articles_files = array();
	$req = $bdd->prepare('SELECT * FROM `softwares_files`');
	$req->execute();
	while($data = $req->fetch()) {
		$articles_files[] = array($data['id'], $data['sw_id'], $data['name'], $data['filetype'], $data['title'], $data['date'], $data['filesize'], $data['hits'], $data['label'], $data['md5'], $data['sha1']);
	}
	$rdata['articles_files'] = $articles_files;
}

if(isset($_GET['am'])) {
	$articles_mirrors = array();
	$req = $bdd->prepare('SELECT * FROM `softwares_mirrors`');
	$req->execute();
	while($data = $req->fetch()) {
		$articles_mirrors[] = array($data['id'], $data['sw_id'], json_decode($data['links']), $data['title'], $data['date'], $data['hits'], $data['label']);
	}
	$rdata['articles_mirrors'] = $articles_mirrors;
}

print(json_encode($rdata));
?>