<?php
set_include_path($_SERVER['DOCUMENT_ROOT']);
include_once 'inclus/log.php';
require_once 'inclus/consts.php';
$titre='Liste des articles';
$stats_page = 'art-list';
$cheminaudio='/audio/sons_des_pages/hihi6.mp3';
$cat = array();
$req = $bdd->query('SELECT * FROM `softwares_categories`');
while($data = $req->fetch()) {
$cat[$data['id']] = $data['name'];
}
?>
<!doctype html>
<html lang="fr">
<?php require_once 'inclus/header.php'; ?>
<body>
<div id="hautpage" role="banner">
<h1><a href="/" title="Retour à l'accueil"><?php print $nomdusite; ?></a></h1>
<?php if(isset($_SERVER['HTTP_USER_AGENT']) and strpos($_SERVER['HTTP_USER_AGENT'], 'Trident') !== FALSE) include 'inclus/trident.php';
include 'inclus/searchtool.php';
include 'inclus/loginbox.php'; ?>
</div>
<?php include('inclus/son.php');
include('inclus/menu.php'); ?>
<div id="container" role="main">
<h1 id="contenu"><?php print $titre; ?></h1>
<form action="/art_list.php" method="get">
<label for="f1_sort">Trier par&nbsp;:</label>
<select name="sort" id="f1_sort">
<option value="id">Numéro d'article</option>
<option value="nom">Ordre alphabétique</option>
<option value="date">Date de mise à jour</option>
</select>
<input type="submit" value="Trier" style="cursor:pointer;" />
</form>
<?php
if(isset($_GET['sort'])) {
switch($_GET['sort']) {
case 'id': $order = 'id'; break;
case 'nom': $order = 'name'; break;
case 'date': $order = 'date DESC'; break;
}
}
else { $order = 'id'; }
$req = $bdd->prepare('SELECT * FROM `softwares` ORDER BY '.$order);
$req->execute();
echo '<ul>';
$n = 0;
while($data = $req->fetch()) {
echo '<li><a href="/article.php?id='.$data['id'].'">A'.$data['id'].'&nbsp;: '.$data['name'].'</a> (<a href="/cat.php?id='.$data['category'].'">'.$cat[$data['category']].'</a>)</li>';
$n ++;
}
echo '</ul>';
$req->closeCursor();
?>
<p><b><?php echo $n; ?></b> articles trouvés</p>
</div>
<?php include 'inclus/footer.php'; ?>
</body>
</html>