<?php
require_once 'consts.php';
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
use PHPMailer\PHPMailer\SMTP;
require_once 'lib/PHPMailer/src/PHPMailer.php';
require_once 'lib/PHPMailer/src/Exception.php';
require_once 'lib/PHPMailer/src/SMTP.php';
require_once 'smtp.php';
$tr1 = load_tr($lang, 'sendconfirm');

$link = 'https://www.progaccess33.net/confirm.php?id='.$id64.'&h='.$mhash;
$message = '<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8" />
		<title>'.tr($tr1,'title').'</title>
	</head>
	<body>
		<div id="header">
<img src="https://www.progaccess33.net/image/logo128.png" alt="'.tr($tr1,'logo').'" />
			<h1>'.tr($tr1,'title2').'</h1>
		</div>
		<div id="content">
			<h2>'.tr($tr1,'hello',array('name'=>$username)).'</h2>
			<p>'.tr($tr1,'confirm').'</p>
			<a id="link" href="'.$link.'">'.tr($tr1,'click').'</a>
			<p>'.tr($tr1,'auto').'</p>
			<p>'.tr($tr1,'signature').'</p>
		</div>
	</body>
</html>';

$msgtext = tr($tr1,'plaintext',array('name'=>$username,'link'=>$link));

$mail = new PHPMailer;
$mail->isSMTP();
$mail->Host = $smtp_host;
$mail->Port = $smtp_port;
$mail->SMTPAuth = true;
$mail->Username = $smtp_username;
$mail->Password = $smtp_psw;
$mail->setFrom('no_reply@progaccess33.net', tr($tr1,'admin'));
$mail->addReplyTo('no_reply@progaccess33.net', tr($tr1,'team'));
$mail->addAddress($email);
$mail->Subject = tr($tr1,'title2');
$mail->CharSet = 'UTF-8';
$mail->IsHTML(TRUE);
$mail->Body = $message;
$mail->AltBody = $msgtext;
$mail->send();
?>