<?php
set_include_path($_SERVER['DOCUMENT_ROOT']);
include 'inclus/log.php';
require_once 'inclus/consts.php';
if(isset($_GET['act']) and $_GET['act'] == 'form') {
	$menu = '0';
	if(isset($_POST['menu']))
		$menu = '1';
	setcookie('menu', $menu, time()+31536000, null, null, false, true);
	
	$fontsize = '16';
	if(isset($_POST['fontsize']) and in_array($_POST['fontsize'], ['11','16','20','14']))
		$fontsize = $_POST['fontsize'];
	setcookie('fontsize', $fontsize, time()+31536000, null, null, false, true);
	
	$audio = '0';
	if(isset($_POST['audio']) and in_array($_POST['audio'],['0','1','2','3','4','5','6','7','8','9','10']))
		$audio = $_POST['audio'];
	setcookie('audio', $audio, time()+31536000, null, null, false, true);
	
	$date = '0';
	if(isset($_POST['date']))
		$date = '1';
	setcookie('date', $date, time()+31536000, null, null, false, true);
	
	$infosdef = '0';
	if(isset($_POST['infosdef']))
		$infosdef = '1';
	setcookie('infosdef', $infosdef, time()+31536000, null, null, false, true);
	
	
	if($logged and isset($_POST['token']) and $_POST['token'] == $login['token']) {
		$settings = json_decode($login['settings'], true);
		$settings['menu'] = $menu;
		$settings['fontsize'] = $fontsize;
		$settings['audio'] = $audio;
		$settings['date'] = $date;
		$settings['infosdef'] = $infosdef;
		$settings['IExplore'] = $IExplore;
		$req = $bdd->prepare('UPDATE `accounts` SET `settings`=? WHERE `id`=? LIMIT 1');
		$req->execute(array(json_encode($settings), $login['id']));
	}
	
	header('Location: /');
}
elseif(isset($_GET['act']) and $_GET['act'] == '0') {
	if($logged and isset($_POST['token']) and $_POST['token'] == $login['token']) {
$settings = json_decode($login['settings'], true);
$settings['menu'] = '0';
$settings['fontsize'] = '16';
$settings['audio'] = '0';
$settings['date'] = '0';
$settings['infosdef'] = '1';
$settings['IExplore'] = '0';
$req = $bdd->prepare('UPDATE `accounts` SET `settings`=? WHERE `id`=? LIMIT 1');
$req->execute(array(json_encode($settings), $login['id']));
}
else {
setcookie("menu","",0,"/","",0);
setcookie("fontsize","",0,"/","",0);
setcookie("audio","",0,"/","",0);
setcookie("date","",0,"/","",0);
setcookie("infosdef","",0,"/","",0);
setcookie("IExplore","",0,"/","",0); }
header('Location: /'); }
$stats_page='parametres';
$titre='Paramètres';
$cheminaudio='/audio/sons_des_pages/settings.mp3'; ?>
<!doctype html>
<html lang="fr">
<?php include 'inclus/header.php'; ?>
<body>
<div id="hautpage" role="banner">
<h1><a href="/" title="Retour à l'accueil"><?php print $nomdusite; ?></a></h1>
<?php if(isset($_SERVER['HTTP_USER_AGENT']) and strpos($_SERVER['HTTP_USER_AGENT'], 'Trident') !== FALSE) include 'inclus/trident.php';
include 'inclus/searchtool.php';
include 'inclus/loginbox.php'; ?>
</div>
<?php include('inclus/son.php');
include 'inclus/menu.php'; ?>
<div id="container" role="main">
<h1 id="contenu"><?php print $titre; ?></h1>
<p>Cette page vous donne accès à quelques paramètres pour personnaliser le site à votre guise.<br />
Si vous n'êtes pas identifié en tant que membre, les paramètres seront sauvegardés grâce à des cookies, sinon, ils seront enregistrés dans notre base de données et vous les retrouverez dès lors que vous vous identifierez sur le site (peu importe l'appareil utilisé).</p>
<form action="?act=form" method="post" aria-label="Options">
<?php
if($logged)
	echo '<input type="hidden" name="token" value="'.$login['token'].'" autocomplete="off" />';
$menu = isset($_COOKIE['menu']) ? $_COOKIE['menu'] : '0';
$audio = isset($_COOKIE['audio']) ? $_COOKIE['audio'] : 0;
$date = isset($_COOKIE['date']) ? $_COOKIE['date'] : 0;
$infosdef = isset($_COOKIE['infosdef']) ? $_COOKIE['infosdef'] : 1;
?>
<h3>Interface</h3>
<a id="listed"></a>
<label for="choix_menu">Menu déroulant (défaut=non)&nbsp;:</label>
<input type="checkbox" id="choix_menu" name="menu"<?php if($menu==1)echo ' checked="checked"'; ?> /><br />
<a id="tllplc"></a>
<label for="f_fontsize">Taille du texte&nbsp;:</label>
<?php if(isset($_COOKIE['fontsize'])) $fontsize = $_COOKIE['fontsize']; else $fontsize = '16'; ?>
<select id="f_fontsize" name="fontsize">
<option value="11" style="font-size: 11px;" <?php if($fontsize=='11')echo'selected';?>>11 (Petit)</option><option value="16" style="font-size: 16px;" <?php if($fontsize=='16')echo'selected';?>>16 (Normal/par défaut)</option><option value="20" style="font-size: 20px;" <?php if($fontsize=='20')echo'selected';?>>20 (Grand)</option><option value="24" style="font-size: 24px;" <?php if($fontsize=='24')echo'selected';?>>24 (Très grand)</option></select><br />
<h3>Audio</h3>
<a id="cc"></a>
<label for="f_audio">Volume des sons du site (en %) (0 pour désactivé)&nbsp;:</label>
<input type="range" min="0" max="10" step="1" defaultValue="0" value="<?php echo htmlspecialchars($audio); ?>" name="audio" id="f_audio" /><br />
<h3>Autres options</h3>
<a id="date"></a>
<label for="f_date">Afficher l'heure et la date dans le bas de page (défaut=non)&nbsp;:</label>
<input type="checkbox" id="f_date" name="date" <?php if($date==1) echo 'checked="checked"'; ?> /><br />
<a id="slideridcc"></a>
<label for="f_slideridcc">Activer les infos défilantes de l'accueil (défaut=oui)&nbsp;:</label>
<input type="checkbox" id="f_slideridcc" name="infosdef" <?php if($infosdef==1) echo 'checked="checked"'; ?> /><br />
<input type="submit" value="Enregistrer" />
</form>
<form action="?act=0" method="post" aria-label="Réinitialiser">
<?php
if($logged)
	echo '<input type="hidden" name="token" value="'.$login['token'].'" autocomplete="off" />';
$menu = isset($_COOKIE['menu']) ? $_COOKIE['menu'] : '0';
$audio = isset($_COOKIE['audio']) ? $_COOKIE['audio'] : 0;
$date = isset($_COOKIE['date']) ? $_COOKIE['date'] : 0;
$infosdef = isset($_COOKIE['infosdef']) ? $_COOKIE['infosdef'] : 1;
?>
<input type="submit" value="Réinitialiser les paramètres par défaut" />
</form>
</div>
<?php include 'inclus/footer.php'; ?>
</body>
</html>