<?php
include_once 'inclus/log.php';
$stats_page='topic';
set_include_path($_SERVER['DOCUMENT_ROOT']);
require_once 'inclus/consts.php';
$tr = load_tr($lang, 'forum');

$preview = false;
$logreply = '';
if(isset($_GET['r']) and isset($_GET['t'])) {
	if(!(isset($logged) and $logged))
		$logreply .= '<li><a href="/signup.php">'.tr($tr,'err_post_signup').'</a></li>';
	
	$msg = '';
	if(isset($_POST['msg']) and strlen($_POST['msg']) > 0) {
		if(strlen($_POST['msg']) > 16384)
			$logreply .= '<li>'.tr($tr,'err_post_toolong').'</li>';
		else
			#$msg = str_replace("\n", '<br />', htmlentities($_POST['msg']));
			#$msg = parsedown(htmlspecialchars($_POST['msg']));
			$msg = $_POST['msg'];
	} else $logreply .= '<li>'.tr($tr,'err_post_empty').'</li>';
	
	if(!(isset($_POST['token']) and $_POST['token'] == $login['token']))
		$logreply .= '<li>'.tr($tr,'err_post_token').'</li>';
	
	if(empty($logreply)) {
		if(isset($_POST['preview'])) {
			$logreply = tr($tr,'preview_warn');
			$preview = true;
		}
		else {
			$req = $bdd->prepare('SELECT `id`, `closed` FROM `forum_topics` WHERE `id`=? LIMIT 1');
			$req->execute(array($_GET['t']));
			if($data = $req->fetch()) {
				if($data['closed'])
					$logreply .= '<li>'.tr($tr,'err_post_closed',array('1'=>'<a href="/newtopic.php">','2'=>'</a>')).'</li>';
				else {
					header('Location: /topic.php?t='.$data['id']);
					$req = $bdd->prepare('INSERT INTO `forum_posts` (`author`, `date`, `master`, `msg`) VALUES (?,?,?,?)');
					$req->execute(array($login['id'], time(), $data['id'], $msg));
					include_once('inclus/forum_cache_topics.php');
					forum_cache_topic($data['id'], $bdd, true);
					exit();
				}
			} else {
				header('Location: /forum.php?topic_no_exists#log');
				exit();
			}
		}
	}
}

$cheminaudio='/audio/sons_des_pages/1-2_1-2-3.mp3';
$chemincss .= '<link rel="stylesheet" href="/css/forum.css" />';
$titre = tr($tr,'title');

$topicid = '0';
if(isset($_GET['t'])) {
	$topicid = $_GET['t'];
	$req = $bdd->prepare('
		SELECT `forum_topics`.`id` AS `topic_id`, `forum_topics`.`date` AS `topic_date`, `forum_topics`.`type` AS `topic_type`, `forum_topics`.`master` AS `topic_master`, `forum_topics`.`title` AS `topic_title`, `forum_topics`.`msg` AS `topic_msg`, `forum_topics`.`resolved` AS `topic_resolved`, `forum_topics`.`closed` AS `topic_closed`, `forum_topics`.`tags` AS `topic_tags`, `forum_topics`.`author` AS `author_id`, `forum_cache_topics`.`author_html` AS `author_html`
		FROM `forum_topics` 
		LEFT JOIN `forum_cache_topics` ON `forum_cache_topics`.`topic_id` = `forum_topics`.`id` 
		WHERE `forum_topics`.`id`=? 
		LIMIT 1');
	$req->execute(array($topicid));
	if($ftopic = $req->fetch())
		$titre = $ftopic['topic_title'].' - '.$titre;
	else {
		header('Location: /forum.php?topic_no_exists#log');
		exit();
	}
}
else {
	header('Location: /forum.php');
	exit();
}
$args['t'] = $topicid;
?>
<!doctype html>
<html lang="<?php echo $lang; ?>">
<?php include 'inclus/header.php'; ?>
<body>
<div id="hautpage" role="banner">
<h1><a href="/" title="<?php echo tr($tr0,'banner_homelink'); ?>"><?php print $nomdusite; ?></a></h1>
<?php if(isset($_SERVER['HTTP_USER_AGENT']) and strpos($_SERVER['HTTP_USER_AGENT'], 'Trident') !== FALSE) include 'inclus/trident.php';
include 'inclus/searchtool.php';
include 'inclus/loginbox.php'; ?>
</div>
<?php include('inclus/son.php');
include('inclus/menu.php'); ?>
<div id="container" role="main">
	<h1 id="contenu" class="nobt"><?php echo tr($tr,'title'); ?></h1>
	<h2 id="topictitle"><?php print htmlentities($ftopic['topic_title']); ?></h2>
	<span><?php
require_once('inclus/user_rank.php');

$cattree = '';
$master = $ftopic['topic_master'];
if($master == 0)
	$cattree = tr($tr,'forum');
while($master != 0) {
	$req = $bdd->prepare('SELECT * FROM `forum_cat` WHERE `id`=? LIMIT 1');
	$req->execute(array($master));
	if($data = $req->fetch()) {
		$cattree = ' - <a href="/forum.php?c='.$data['id'].'">'.$data['name'].'</a>'.$cattree;
		$master = $data['master'];
		if($master == 0)
			$cattree = '<a href="/forum.php">'.tr($tr,'forum').'</a>'.$cattree;
	}
	else break;
}

echo $cattree;
?></span>

<?php
require_once 'inclus/user_rank.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/inclus/lib/parsedown/parsedown.php';
$parsedown = new Parsedown;
$parsedown->setSafeMode(true);
$parsedown->setBreaksEnabled(true);

if($ftopic['closed'])
	echo '<span class="forum_btno">'.tr($tr,'topic_closed').'</span>';
elseif(isset($logged) and $logged)
	echo '<a class="forum_btnt" href="#reply">'.tr($tr,'topic_answer').'</a>';
else
	echo '<a class="forum_btnt" href="#reply" aria-label="'.tr($tr,'topic_answer_signup').'" title="'.tr($tr,'topic_answer_signup').'">'.tr($tr,'topic_answer').'</a>';

echo '<div id="m0" class="forum_m forum_m0"><div class="forum_mh">' .$ftopic['author_html'].' ('.strftime(tr($tr0,'fndatetime'), $ftopic['topic_date']).')</div><div class="forum_mc"><p>'.$parsedown->text($ftopic['topic_msg']).'</p></div></div>';

$req = $bdd->prepare('
	SELECT `forum_posts`.`id` AS `post_id`, `forum_posts`.`date` AS `post_date`, `forum_posts`.`msg` AS `post_msg`, `accounts`.`username` AS `author_name`, `accounts`.`rank` AS `author_rank`
	FROM `forum_posts`
	LEFT JOIN `accounts` ON `accounts`.`id`=`forum_posts`.`author`
	WHERE `master`=?
	ORDER BY `date` ASC');
$req->execute(array($ftopic['topic_id']));
while($data = $req->fetch()) {
	echo '<div id="m'.$data['post_id'].'" class="forum_m"><div class="forum_mh">' .urank($data['author_rank'],$data['author_name']).' ('.strftime(tr($tr0,'fndatetime'), $data['post_date']).')</div><div class="forum_mc"><p>'.$parsedown->text($data['post_msg']).'</p></div></div>';
}

if(!empty($logreply))
	echo '<ul id="logreply">'.$logreply.'</ul>';
if(isset($logged) and $logged and !$ftopic['closed']) {
	if($preview) {
?>
	<fieldset><legend><?php echo tr($tr,'preview_title'); ?></legend>
		<?php echo '<div class="forum_m"><div class="forum_mh">' .urank($settings['rank'], $login['username']).' ('.strftime(tr($tr0,'fndatetime')).')</div><div class="forum_mc"><p>'.$parsedown->text($_POST['msg']).'</p></div></div>'; ?>
	</fieldset>
<?php } ?>
	<form id="reply" action="/topic.php?r&t=<?php echo $ftopic['topic_id']; ?>#logreply" method="post">
		<fieldset><legend><?php echo tr($tr,'topic_answer'); ?></legend>
			<input type="hidden" name="token" value="<?php echo $login['token']; ?>" autocomplete="off" />
			<textarea name="msg" aria-label="<?php echo tr($tr,'topic_answer_text'); ?>" placeholder="<?php echo tr($tr,'topic_answer_text'); ?>" maxlength="16384" style="width:80ch;min-height:5em;"><?php if(isset($_POST['msg']))echo htmlentities($_POST['msg']); ?></textarea><br />
			<button type="submit" name="preview"><?php echo tr($tr,'preview_button'); ?></button>
			<input type="submit" value="<?php echo tr($tr,'topic_answer_send'); ?>" />
		</fieldset>
	</form>
<?php } ?>

</div>
<?php include 'inclus/footer.php'; ?>
</body>
</html>